    XXX-GRAD-TEST:  Test the correctness of the energy gradient computations.

    There is a version of this program for each 'mc' application (eg,
    net-grad-test).  These programs are used to check the energy gradient
    computed by the application-specific 'mc' module against that found by
    taking differences using the straight energy computation procedure of
    the same module.

    These programs are meant for debugging, not for ordinary use.

    Usage:

        xxx-grad-test log-file index delta

    Here 'xxx' is a prefix identifying the particular incarnation of this
    program.  The gradient computation is tested at the point stored with
    the specified index in the log file.  It is compared to the gradient
    found using finite differences with the given difference value.  The
    results are written to standard output.

                Copyright (c) 1995-2004 by Radford M. Neal